Package com.xebialabs.xlrelease.configuration

## Class TriggerDataPurgeSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.TriggerDataPurgeSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class TriggerDataPurgeSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TRIGGER_DATA_PURGE_SETTINGS_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TriggerDataPurgeSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.Integer` | `getTriggersDataPurgeAgeThreshold()` |
    `int` | `hashCode()` |
    `boolean` | `isEnabled()` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setTriggersDataPurgeAgeThreshold​(java.lang.Integer triggersDataPurgeAgeThreshold)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRIGGER_DATA_PURGE_SETTINGS_ID

          public static final java.lang.String TRIGGER_DATA_PURGE_SETTINGS_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TriggerDataPurgeSettings

          public TriggerDataPurgeSettings()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getTriggersDataPurgeAgeThreshold

          public java.lang.Integer getTriggersDataPurgeAgeThreshold()

    - #### setTriggersDataPurgeAgeThreshold

          public void setTriggersDataPurgeAgeThreshold​(java.lang.Integer triggersDataPurgeAgeThreshold)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`